petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMTSSetIFunctionLocal

set a local implicit function evaluation function. This function is called with local vector containing the local vector information PLUS ghost point information. It should compute a result for all local elements and DMTS will automatically accumulate the overlapping values.

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetIFunctionLocal(DM dm, PetscErrorCode (*func)(DM, PetscReal, Vec, Vec, Vec, void *), void *ctx)

Logically Collective

### Input Arguments

| dm | - DM to associate callback with
| func | - local function evaluation
| ctx | - context for function evaluation

### See Also

DMTSSetIFunction(), DMTSSetIJacobianLocal()

### Level

beginner

### Location

src/ts/utils/dmlocalts.c

### Examples

src/ts/examples/tutorials/ex48.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages